commit:     34b685629ec1c2616b9241fe02ff7a33b958ccd1
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 25 15:00:13 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Mar 25 15:00:35 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34b68562

app-misc/tmux: Synced live ebuild.

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-misc/tmux/tmux-9999.ebuild | 22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

diff --git a/app-misc/tmux/tmux-9999.ebuild b/app-misc/tmux/tmux-9999.ebuild
index 103653e26eb..b90f954d704 100644
--- a/app-misc/tmux/tmux-9999.ebuild
+++ b/app-misc/tmux/tmux-9999.ebuild
@@ -1,18 +1,24 @@
 # Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit autotools git-r3 flag-o-matic versionator
+inherit autotools flag-o-matic
 
 DESCRIPTION="Terminal multiplexer"
 HOMEPAGE="https://tmux.github.io/";
-SRC_URI="https://raw.githubusercontent.com/przepompownia/tmux-bash-completion/678a27616b70c649c6701cae9cd8c92b58cc051b/completions/tmux
 -> tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b"
-EGIT_REPO_URI="https://github.com/tmux/tmux.git";
+if [[ "${PV}" == 9999 ]] ; then
+       inherit git-r3
+       
SRC_URI="https://raw.githubusercontent.com/przepompownia/tmux-bash-completion/678a27616b70c649c6701cae9cd8c92b58cc051b/completions/tmux
 -> tmux-bash-completion-678a27616b70c649c6701cae9cd8c92b58cc051b"
+       EGIT_REPO_URI="https://github.com/tmux/tmux.git";
+else
+       SRC_URI="https://github.com/tmux/tmux/releases/download/$(ver_cut 
1-2)/${P}.tar.gz"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos"
+       S="${WORKDIR}/${P/_/-}"
+fi
 
 LICENSE="ISC"
 SLOT="0"
-KEYWORDS=""
 IUSE="debug selinux utempter vim-syntax kernel_FreeBSD kernel_linux"
 
 CDEPEND="
@@ -47,9 +53,6 @@ src_prepare() {
        # 1.7 segfaults when entering copy mode if compiled with -Os
        replace-flags -Os -O2
 
-       # regenerate aclocal.m4 to support earlier automake versions
-       rm -f aclocal.m4 || die
-
        default
        eautoreconf
 }
@@ -60,7 +63,6 @@ src_configure() {
                $(use_enable debug)
                $(use_enable utempter)
        )
-
        econf "${myeconfargs[@]}"
 }
 
@@ -74,7 +76,7 @@ src_install() {
 }
 
 pkg_postinst() {
-       if ! version_is_at_least 1.9a ${REPLACING_VERSIONS:-1.9a}; then
+       if ! ver_test 1.9a -ge ${REPLACING_VERSIONS:-1.9a}; then
                echo
                ewarn "Some configuration options changed in this release."
                ewarn "Please read the CHANGES file in /usr/share/doc/${PF}/"

Reply via email to